#include <exec/types.h>
#include <exec/exec.h>
#include <intuition/intuition.h>
#include <libraries/dos.h>
#include <libraries/dosextens.h>
#include <YAFR:WdwDefs.h>

extern struct IntuitionBase *IntuitionBase;
extern struct GfxBase *GfxBase;

#define XBorder 8
#define YBorder 45

#define GN_CANCEL  0
#define GN_NEWDIR  1
#define GN_NEWDISK 2
#define GN_OK      3
#define GN_PARENT  4
#define GN_RIEN    5
#define GN_DONE    6

struct fibNode
   {
   struct FileInfoBlock fib;
   struct fibNode *next,*prev;
   };

struct fibHeader
   {
   struct fibNode *directory,*first,*last,*current,*top;
   };

USHORT yafr_e_FilenamePenColor,yafr_e_DirnamePenColor;
   /*Global for my convenience, long filename that prob won't be*/
   /*duplicated in a program*/
